Google Web Toolkit (Beta)
Search this site:

# Class HashMap

public class HashMap
extends AbstractMap
See Sun's JDK 1.4 documentation for documentation on the `HashMap` API. This implementation of `HashMap` uses JavaScript native data structures to provide high performance in web mode, using string keys to index strings, and sparse int keys (via hashCode()) to index everything else.

## Constructors

HashMap() |
HashMap(Map) |
HashMap(int) |
HashMap(int, float) |

## Methods

clear() |
clone() |
containsKey(Object) |
containsValue(Object) |
createEntry(Object, Object) |
entrySet() |
get(Object) |
isEmpty() |
put(Object, Object) |
putAll(Map) |
remove(Object) |
size() |
values() |